CraftBukkit 1.4.6-R0.3 is now available!

Discussion in 'Bukkit News' started by EvilSeph, Dec 30, 2012.

Thread Status:
Not open for further replies.
  1. Offline

    EvilSeph Retired Staff

    A new CraftBukkit Beta Build (1.4.6-R0.3) that provides Minecraft 1.4.6 compatibility and addresses issues found in the previous beta is now available in time for the holidays! Although Minecraft 1.4.7 is scheduled to release sometime after New Year's day, we've already fixed the issues it addresses in this beta. The previous beta contains a change that made a bug with enchantments being lost more noticeable and frequent. Upgrading to this new beta is highly recommended.

    Will plugins break with this build?
    Provided the developers of the plugins you are using are keeping up with the development of Bukkit, all your plugins should work fine, with the exception of plugins that use Minecraft or CraftBukkit code.

    Important Note: this Beta Build contains a new safeguard to protect servers against unchecked and thus potentially damaging plugins. See the announcement here for more information:
    http://forums.bukkit.org/threads/sa...cked-and-potentially-damaging-plugins.116749/

    What is a Beta build?
    A Beta Build is in between a developer build and a Recommended Build. These builds simply work and are promoted much more frequently than a Recommended Build. While we will do some testing before promoting a beta build, we will not be running it through our extensive test process. As such, there are no guarantees that they will not contain minor bugs. If we do find out they are broken, we will mark it as such on DLB and promote a new one. A beta build may contain incomplete API and new features but they should not interfere with running the build in any way.

    This particular Beta build, like every first Beta build for a Minecraft update, is primarily made available to help facilitate more testing coverage to bring us closer to a Recommended Build sooner. Please consider running this Beta build to give us a hand with discovering issues we need to address in order to reach a Recommended Build.

    Known Issues:
    • Monsters, villagers, etc. using portals (added in Minecraft 1.4) has been temporarily disabled.
    For more detailed information on what is contained in this update, please see the changelog here.

    Download CraftBukkit 1.4.6-R0.3 here
     
    karcraft123, En3der, gomeow and 9 others like this.
  2. Offline

    Flatline99

    Looking Good, Keep it up Bukkit!
     
  3. Offline

    13thRanger

    hey i see servers running the 1.4.7 ....how do i get the 1.4.7 craft bukkit ?
     
  4. Offline

    c0mp

    Not really necessary. 1.4.6 servers work with 1.4.7 clients and vice-versa; there was no version bump. Plus, taken from the original post in this thread:
     
  5. Offline

    Mtarnuhal

    Maybe those are official Minecraft Servers.
     
  6. Offline

    wesleydeman

    1.4.7 clients can join 1.4.6 servers fine, so don't worry.
     
  7. Offline

    zzxxip

    But seriously, though, it's been almost 2 weeks since this Beta build, and EvilSeph said "Beta builds until we're sure it is stable for casual server admins to use.", so is it stable to use or not? If it was, I'd expect a RB to come out soon. If not, I'd expect to see more dev builds. What's the status?
     
  8. Offline

    Ugpzt

    Is it possible that they are trying to clear the transport through portal issues?
    (This does not affect me so I am happily using the latest dev-build). :D
     
  9. Offline

    Helicious

    Hi! I've looked into bukkit and it seems to be a nice server alternative with alot of plugins. I have the latest build and i cannot connect with 1.4.7 client :/ When will you release a build so 1.4.7 clients will be able to join?
     
  10. Offline

    c0mp

    Helicious, 1.4.7 clients are compatible with 1.4.6 servers. Make sure that you are, in fact, using 1.4.6-R0.3 by checking your startup log. If you still can't connect, create a post in the Bukkit Help section.
     
  11. Offline

    Helicious

    Ty for awnsering c0mp :). Thing is i have tryed this one and i have tryed your 2 latest also R.04 but same problem. I did remove everything and i made the bat and got all files down from scratch and same problem. Ive changed the serverproperties file and changed online to false so cracked client can connect. It manage to work with original server but not your version. I will make a post there tomorrow so tired have been trying now for lots of hours and read alot.
     
  12. Offline

    c0mp

    If that's the case, don't bother creating a post. Cracked servers are not supported on the Bukkit forum, so you'll need to figure it out on your own.
     
  13. Offline

    Helicious

    Ok. Thank you for awnsering then i will go with the original client and test out the plugins. Thank you for the awnser.
     
  14. Offline

    zveromag

    Hello guys.
    When a stable version 1.4.6 is expected (or 1.4.7)
     
  15. Offline

    walilie101010

    Is 1.4.7 released? If released may anyone give me the direct link?
     
  16. Offline

    CompeteToDefeat

    And again if you had bothered to actually read the first post in this thread you would know that updating is not needed.
     
  17. Offline

    osm74

    great job but one question can you please encourage plugs that don't depend on so many permissions maybe default command and op command but make permisions optional would be nice being permission are so confusing and all again good job
     
  18. Offline

    CompeteToDefeat

    Some plugins already operate this way, and I really see no reason why they should encourage all plugin developers to make them optional. If you're going to bother running a server, and for that matter are competent enough, you should be able to figure out permissions. They are not "confusing".
     
  19. Offline

    God_Fear

    Ok well my peoples (lol) are about to hang me if i don't get them some 1.4.6 action. Is the latest 1.4.6-R0.3 well enough to run for a production? Ok we are not big time, 10-20 players but last time we ran a dev it had all kind of nasty bugs... stuff going into armor slots, etc..

    My question is, is it stable, and what is not in it? I think i saw something about mobs disabled? Does that mean there is no zombies, creepers, etc? What doesn't work in the dev?

    Thanks for help whoever replies!
     
  20. Offline

    Diedblack

    There's something I don'T understand...

    "On February 28, 2012, it was announced that the Bukkit team had joined Mojang to further develop the Minecraft server software and to aid with the creation of modding APIs."
    If the Bukkit team is working with Mojang, Why does it takes so long to get compatibility for 1.4.6 and 1.4.7?
    If you work close with Mojang it must be easy to get the news and to know how the pluggin will need to be updated for futur uses...

    It's taking so long now... Havevn't got any stable built for so long
     
  21. Offline

    Jonas019930

    i can't dowload it.
     
  22. Offline

    c0mp

    Works just fine from my end of things. :)
     
  23. Offline

    Afotai

    They work at Mojang. Do you really expect them to develop Bukkit at the rate you'd like it be, next to their full-time jobs? Also due to the nature of Bukkit and the LGPL https://github.com/Bukkit/CraftBukkit-Bleeding/blob/master/LGPL.txt They can't reuse or move portions of the Bukkit code into the Minecraft server. Also no one ever said that hiring the Bukkit guys would mean faster updates.
     
  24. Offline

    Jonas019930

    I can dowload it now thanks cOmp
     
  25. Offline

    Dunjonmaster

    Basically another post to let others know that 1.4.6-R0.3 is safe to use as far as I can tell.

    Our server is on the smaller side with about 30 registered players and only a handful actually on at any given time but I upgraded to 1.4.6-R0.3 and so far no game-breaking bugs or issues. There are a few plugin related glitches but those have been recognized and/or documented so we just deal with it.

    That being said, a well-deserved and heartfelt THANK YOU to the Bukkit team for all of the hard work they do. As I remind my players every time there is an update from Mojang, we are getting this "labor of love" for FREE so please have some patience.

    No less important, I would like to also thank the plugin authors who also do a tremendous job providing needed and/or fun to the vanilla experience; this is the list of plugins we use:

    Appleseed
    bPermissions
    ChestShop
    CommandBook
    DeathChest
    Flight
    Giant_Trees
    GodPowers
    GravelClay
    iConomy
    Kivi
    LWC
    Mailbox
    mcMMO
    MultiInv
    Multiverse-Core (w/ TuxTwoLib)
    Multiverse-NetherPortals
    Multiverse-Portals
    Residence
    SpawnCreature
    TimeShift
    VanishNoPacket
    Vault
    WorldEdit
     
  26. Offline

    Jaysay1212

    I agree! Thanks ALOT :D
     
  27. Offline

    seamonkey12171

    when will compatibility with 1.4.7 come out?! feed back much obligned!:)
     
  28. Offline

    Icyene

    Please read the main post. 1.4.7 clients can connect to 1.4.6 servers...
     
  29. Offline

    seamonkey12171

    Every time i join it says that its an "outdated server"
     
Thread Status:
Not open for further replies.

Share This Page